KCAPI-HASHER(1)

NAME
kcapi-hasher - Kernel Crypto API Message Digest Check Helper

SYNOPSIS
kcapi-hasher [-n BASENAME] [OPTION]... -S|-L

kcapi-hasher [-n BASENAME] [OPTION]... -c FILE

kcapi-hasher [-n BASENAME] [OPTION]... FILE...

DESCRIPTION
The kcapi-hasher application provides tool to compute and check the message digest as well as keyed message digest ciphers of the Linux kernel crypto API from the command line.

The command line arguments, inputs and outputs closely mimick those of other similar utilities. I.e. sha1sum(1) sha512sum(1), and etc.

This is a multi-call binary, and algorithm can be selected by symlinking this application under the desired name. Separately application name can be overriden directly with with name option, or desired hash can be selected with the hash option.

The input data can be provided either via STDIN or via a file that is referenced with a command line option.

OPTIONS

-n, --name NAME
    Force a given application NAME from the supported list of: sha1sum, sha224sum, sha256sum, sha384sum, sha512sum, sm3sum, sha3sum, md5sum, fipscheck, fipshmac, sha1hmac, sha224hmac, sha256hmac, sha384hmac, sha512hmac, sm3hmac.

-h, --hash HASH
    Use given HASH algorithm from the supported list of: sha1, sha224, sha256, sha384, sha512, sm3, sha3-224, sha3-256, sha3-384, sha3-512.

-S --self-sum
    Print checksum of this binary and exit

-L --self-sum-lib
    Print checksum of the libkcapi library and exit

-c --check FILE
    Verify hash sums from file

-u --unkeyed
    Force unkeyed hash

-t --truncate N
    Use hash truncated to N bits

-q --status
    Suppress verification output

--quiet
    Suppress only success messages

-k --key-file FILE
    Use HMAC key from given file

-K --key KEY
    Use KEY as the HMAC key

--tag
    Create a BSD-style checksum

-d  Check directory for fipshmac; otherwise ignored

-b, -P
    Compatibility hmaccalc options; ignored

-z  NUL line termination

-h, --help
    Display the help text.

--version
    Display the version number of the kcapi-hasher application.

SEE ALSO
kcapi-dgst(1) kcapi-enc(1) kcapi-rng(1)